Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Integer32 Class Reference

`#include <coherence/lang/Integer32.hpp>`

Inherits Primitive< int32_t >, Number, and Comparable.

List of all members.

## Detailed Description

An immutable 32-bit integer value.

Author:
  jh 2008.04.01

## Public Types
typedef spec::Handle | Handle
| Integer32 Handle definition.
typedef spec::View | View
| Integer32 View definition.
typedef spec::Holder | Holder
| Integer32 Holder definition.
## Public Member Functions
virtual int16_t | getInt16Value () const
| Return the numeric value of this object as an int16_t. This may involve rounding or truncation. Returns: the numeric value of this object as an int16_t
virtual int32_t | getInt32Value () const
| Return the numeric value of this object as an int32_t. This may involve rounding or truncation. Returns: the numeric value of this object as an int32_t
virtual int64_t | getInt64Value () const
| Return the numeric value of this object as an int64_t. This may involve rounding or truncation. Returns: the numeric value of this object as an int64_t
virtual float32_t | getFloat32Value () const
| Return the numeric value of this object as a float32_t. This may involve rounding. Returns: the numeric value of this object as a float32_t
virtual float64_t | getFloat64Value () const
| Return the numeric value of this object as a float64_t. This may involve rounding. Returns: the numeric value of this object as a float64_t
## Static Public Member Functions
static Handle | valueOf (int32_t n)
| Factory method to produce Integer32 objects with an optimization that uses cached objects for all relatively-low numbers.
## Static Public Attributes
static const int32_t | MIN_VALUE
| A constant for the minimum representable value.
static const int32_t | MAX_VALUE
| A constant for the maximum representable value.

## Member Function Documentation

static Handle valueOf | ( | int32_t | n | ) | `[static]`

Factory method to produce Integer32 objects with an optimization that uses cached objects for all relatively-low numbers.

Parameters:

  | n | an int32_t

Returns:
  an Integer32 whose value is the passed int32_t

The documentation for this class was generated from the following file:

- coherence/lang/Integer32.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.